summaryrefslogtreecommitdiff
path: root/chroot.sh
diff options
context:
space:
mode:
Diffstat (limited to 'chroot.sh')
-rwxr-xr-xchroot.sh29
1 files changed, 29 insertions, 0 deletions
diff --git a/chroot.sh b/chroot.sh
new file mode 100755
index 0000000..76db488
--- /dev/null
+++ b/chroot.sh
@@ -0,0 +1,29 @@
+#!/bin/sh
+
+. ./config-DEFAULTS || exit 1
+. ./config-HOST || exit 1
+. ./config-TARGET || exit 1
+. ./config-MANDATED || exit 1
+
+if [ "$1" = "temp" ]; then
+ shift
+ ./mount.sh temp || exit 1
+
+ export debian_chroot="flashybrid"
+ #chroot "$target" /bin/bash -l $@
+ chroot "$targettemp" $@
+ exitcode=$?
+
+ ./umount.sh temp
+else
+ ./mount.sh || exit 1
+
+ export debian_chroot="flashybrid"
+ #chroot "$target" /bin/bash -l $@
+ chroot "$mountpoint" $@
+ exitcode=$?
+
+ ./umount.sh
+fi
+
+exit $exitcode